Subject: Re: [PATCH 2/2] t0610-reftable-basics: mitigate a flaky test on cygwin

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 20 Jan 2026 06:49:06 +0100

On Mon, Jan 19, 2026 at 05:10:46PM +0000, Ramsay Jones wrote:
> On 19/01/2026 6:50 am, Patrick Steinhardt wrote:
> > On Fri, Jan 16, 2026 at 08:39:56PM +0000, Ramsay Jones wrote:
> >> In order to fix this flaky test on cygwin, despite not knowing why it
> >> works, replace the shell redirection with the above 'test-tool truncate'
> >> invocation.
> >>
> >> Helped-by: Patrick Steinhardt <[email-masked]>
> > 
> > Oh, so is this the exact case that we were talking about? If so, it
> > might make sense to link to the mail thread so that folks can also read
> > a bit into our discussion around this.
> 
> Indeed! I thought about referencing the email thread, but I decided that it
> didn't really offer any more supporting evidence than the commit message
> (in fact less - it doesn't mention the 'strace' scan).
> 
> I can add that (again [1]), if you think it's worth it, but I just re-read
> the email thread and I'm not convinced it offers much extra value. So, I would
> rather not re-roll, but I will if you think it worth it. Let me know.
> 
> [1] https://lore.kernel.org/git/[email-masked]/

Fair enough, let's just keep it as-is. Thanks!

Patrick